# Ogre::PlaneBoundedVolume Class Reference

Represents a convex volume bounded by planes. More...

`#include <OgrePlaneBoundedVolume.h>`

List of all members.

## Public Types

typedef std::vector < Plane > | PlaneList

## Public Member Functions

| PlaneBoundedVolume ()
| PlaneBoundedVolume (Plane::Side theOutside)
| Constructor, determines which side is deemed to be 'outside'.
bool | intersects (const AxisAlignedBox &box) const
| Intersection test with AABB.
bool | intersects (const Sphere &sphere) const
| Intersection test with Sphere.
std::pair< bool, Real > | intersects (const Ray &ray)
| Intersection test with a Ray.

## Public Attributes

PlaneList | planes
| Publicly accessible plane list, you can modify this direct.
Plane::Side | outside

## Detailed Description

Represents a convex volume bounded by planes.

Definition at line 43 of file OgrePlaneBoundedVolume.h.

## Member Typedef Documentation

typedef std::vector<Plane> Ogre::PlaneBoundedVolume::PlaneList

Definition at line 46 of file OgrePlaneBoundedVolume.h.

## Constructor & Destructor Documentation

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( |  | ) |

Definition at line 51 of file OgrePlaneBoundedVolume.h.

Ogre::PlaneBoundedVolume::PlaneBoundedVolume | ( | Plane::Side | theOutside | ) |

Constructor, determines which side is deemed to be 'outside'.

Definition at line 53 of file OgrePlaneBoundedVolume.h.

## Member Function Documentation

bool Ogre::PlaneBoundedVolume::intersects | ( | const AxisAlignedBox & | box | ) | const

Intersection test with AABB.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 59 of file OgrePlaneBoundedVolume.h.

References Ogre::AxisAlignedBox::getCenter(), Ogre::AxisAlignedBox::getHalfSize(), Ogre::Plane::getSide(), Ogre::AxisAlignedBox::isInfinite(), and Ogre::AxisAlignedBox::isNull().

bool Ogre::PlaneBoundedVolume::intersects | ( | const Sphere & | sphere | ) | const

Intersection test with Sphere.

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 90 of file OgrePlaneBoundedVolume.h.

References Ogre::Sphere::getCenter(), Ogre::Plane::getDistance(), Ogre::Sphere::getRadius(), and Ogre::Plane::NEGATIVE_SIDE.

std::pair<bool, Real> Ogre::PlaneBoundedVolume::intersects | ( | const Ray & | ray | ) |

Intersection test with a Ray.

Returns:
  std::pair of hit (bool) and distance

Remarks:
  May return false positives but will never miss an intersection.

Definition at line 115 of file OgrePlaneBoundedVolume.h.

References Ogre::Math::intersects(), and Ogre::Plane::POSITIVE_SIDE.

## Member Data Documentation

PlaneList Ogre::PlaneBoundedVolume::planes

Publicly accessible plane list, you can modify this direct.

Definition at line 48 of file OgrePlaneBoundedVolume.h.

Referenced by Ogre::Ray::intersects().

Plane::Side Ogre::PlaneBoundedVolume::outside

Definition at line 49 of file OgrePlaneBoundedVolume.h.

Referenced by Ogre::Ray::intersects().

The documentation for this class was generated from the following file:

- OgrePlaneBoundedVolume.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:30:42 2009